Bug Hunting Session
Bug 35301 - Allow vertical ruby text in the Asian phonetic guide
Summary: Allow vertical ruby text in the Asian phonetic guide
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.0 Beta2
Hardware: All All
: low enhancement
Assignee: Mark Hung
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Ruby Vertical-Text
  Show dependency treegraph
 
Reported: 2011-03-14 08:02 UTC by Jiehong
Modified: 2018-04-23 13:05 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of ruby caracters on the right side (22.32 KB, image/svg+xml)
2011-03-14 08:02 UTC, Jiehong
Details
Illustration of Asian phonetic guide feature (28.98 KB, application/vnd.oasis.opendocument.text)
2015-09-15 15:00 UTC, Mark Hung
Details
Illustration of Asian phonetic guide feature (32.35 KB, application/vnd.oasis.opendocument.text)
2015-09-15 15:09 UTC, Mark Hung
Details
Sample text for Ruby text (8.50 KB, application/vnd.oasis.opendocument.text)
2016-02-13 09:40 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jiehong 2011-03-14 08:02:11 UTC
Created attachment 44439 [details]
Example of ruby caracters on the right side

I will speak about the case of the Chinese which I know.

In Taïwan we use 注音 instead of 拼音 and we usually put it vertically at the right of a caracter. (Cf. the example in the attached file)

However the rubies caracters can't be put in a vertical way so it is impossible.

Could it be implemented ?
Comment 1 Björn Michaelsen 2011-12-23 11:49:24 UTC Comment hidden (obsolete)
Comment 2 Jiehong 2011-12-23 11:52:42 UTC
I confirm that ruby caracters aren't supported vertically yet. This bug still remains the same.
Comment 3 Florian Reisinger 2012-08-14 14:01:56 UTC Comment hidden (obsolete)
Comment 4 Florian Reisinger 2012-08-14 14:02:58 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 14:07:32 UTC Comment hidden (obsolete)
Comment 6 Florian Reisinger 2012-08-14 14:09:38 UTC Comment hidden (obsolete)
Comment 7 Jiehong 2012-08-14 15:13:06 UTC
This bug still is open, and nothing, asfaik, has been done towards resolving it.
Comment 8 Florian Reisinger 2012-08-15 17:21:21 UTC
Status set to NEW
Comment 9 Owen Genat (retired) 2014-09-13 05:38:31 UTC
Bug 77514 added to See Also list. The example (Japanese) in that bug indicates a basic workaround for placing ruby text to the right of the paragraph text (by rotating the text), but there is currently an alignment issue with the underlying paragraph text. Summary amended so it shows up in searches for "ruby".
Comment 10 Mark Hung 2015-09-15 15:00:54 UTC
Created attachment 118746 [details]
Illustration of Asian phonetic guide feature

I'd like to leave some note so that non Chinese users can also understand this issue.

Beside the capability of formatting, ODF 1.2 (20.342 style:ruby-position) hasn't support it yet. Valid values of ruby-position are above and below, hence storing it in odt format isn't possible now.
Comment 11 Mark Hung 2015-09-15 15:09:09 UTC
Created attachment 118747 [details]
Illustration of Asian phonetic guide feature
Comment 12 Mark Hung 2016-02-13 09:40:25 UTC
Created attachment 122607 [details]
Sample text for Ruby text
Comment 13 Xisco Faulí 2017-07-13 10:43:21 UTC
Setting Assignee back to default. Please assign it back to yourself if you're
still working on this issue
Comment 14 Commit Notification 2018-01-21 07:43:48 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d1bc14b318c9a412a761d243085da0895a1aed4a

tdf#35301 Formatting ruby text on right side.

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Kevin Suo 2018-01-21 08:44:09 UTC
Set as ASSIGNED as there is already a commit.
Please mark as FIXED if this bug is fixed.
Comment 16 Commit Notification 2018-01-22 12:22:35 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c97a22ac7851329d1a5c71772542c062cd6f4f0

tdf#35301 Modify Asian phonetic guide dialog.

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2018-01-22 20:20:38 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=d8623712ce8523cd6d29116a5bd903e1d7edbd62

tdf#35301 Tiny text tweak for newly available ruby position
Comment 18 Commit Notification 2018-01-28 14:12:56 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b74750a9d8bbbd290832d2750a3e0174fe983530

tdf#35301 offapi: add RubyPosition for filters.

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2018-01-31 23:49:42 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8ed0b54763581ba1f5ff295a59b5b040e7cd8f0f

tdf#35301 sw: RubyPosition text property support.

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2018-03-02 11:07:05 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1e034575584930c5bfb57838383ac2cf151c1b92

tdf#35301 xmloff: load / store loext:ruby-position.

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Xisco Faulí 2018-04-03 11:01:40 UTC
A polite ping to Mark Hung: is this bug fixed? if so, could you
please close it as RESOLVED FIXED ? Thanks